package com.tzld.piaoquan.longarticle.common.enums;

public enum MatchRequestStatusEnum {

    HAS_EXCEPTION(0,"异常情况"),
    SUCCESS(1, "匹配成功"),
    NOT_CONTENT(2, "没有文章内容");

    private final int statusCode;
    private final String message;

    MatchRequestStatusEnum(int statusCode, String message) {
        this.statusCode = statusCode;
        this.message = message;
    }

    public int getStatusCode() {
        return statusCode;
    }

    public String getMessage() {
        return message;
    }

}
