package com.tzld.piaoquan.longarticle.common.enums;

public enum MatchResultStatusEnum {
    SUCCESS(2, "匹配成功"),
    FAIL(3, "匹配失败");

    private final int statusCode;
    private final String message;

    MatchResultStatusEnum(int statusCode, String message) {
        this.statusCode = statusCode;
        this.message = message;
    }

    public int getStatusCode() {
        return statusCode;
    }

    public String getMessage() {
        return message;
    }

}
