package com.tzld.piaoquan.longarticle.common.enums;

import lombok.Getter;

import java.util.Objects;

@Getter
public enum PublishGzhPushTypeEnum {
    manual_push(1, "手动推送"),
    auto_group_publish(2, "自动群发"),
    auto_publish(3, "自动发表"),
    robopost(4, "自动发布"),
    batch_group_publish(5, "分组群发"),
    trigger_push(6, "触发推送"),

    other(999, "其他"),
    ;

    private final Integer val;
    private final String description;

    PublishGzhPushTypeEnum(Integer val, String description) {
        this.val = val;
        this.description = description;
    }

    public static PublishGzhPushTypeEnum from(Integer val) {
        for (PublishGzhPushTypeEnum typeEnum : PublishGzhPushTypeEnum.values()) {
            if (Objects.equals(typeEnum.val, val)) {
                return typeEnum;
            }
        }
        return other;
    }
}
